package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxMerchantShop;
import com.iformall.domain.po.WxShop;

public interface WxMerchantShopService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxMerchantShop> listAsPage(WxMerchantShop record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMerchantShop getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMerchantShop record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);



    PageInfo<WxShop> queryShopList(WxMerchantShop record, Integer pageIndex, Integer pageSize);


	
}
